TOUCHPAD-EDGE-DETECTOR(1)

NAME
touchpad-edge-detector - print the axis ranges for a touchpad device

SYNOPSIS
touchpad-edge-detector [--help] WxH /dev/input/eventX

DESCRIPTION

The touchpad-edge-detector tool reads touchpad events from the kernel and records the minimum and maximum coordinates based on user input. This is an interactive tool, the user must move a finger around the touchpad, attempting to trigger an event at all edges of the touchpad.

To terminate the event collection and print a summary, press Ctrl+C. It is recommended that the tool is run several times to guarantee a reliable result.

OPTIONS

WxH The width and height of the touchpad in mm. For a touchpad 100mm wide and 75mm high, the argument is thus 100x75. This is a required argument.

/dev/input/eventX
    The event node of the touchpad to read events from. A list of possible event nodes can be obtained with either one of the following commands: libinput record, evemu-record, or evtest. Alternatively the event node for a device is listed in the Handlers= line /proc/bus/input/devices. This is a required argument.

--help
    Print a short help description

NOTES

On completion, this tool prints a summary of the collected events and a suggested udev rule. Due to rounding errors it is rare to get an exact match for the touchpad's dimensions, but any discrepancy of more than 5mm should be corrected with the suggested udev rule.

The udev rule should be simplified and submitted as a pull request to the system repository at https://github.com/systemd/systemd. For further guidance, see the file /usr/lib/udev/hwdb.d/60-evdev.hwdb.

SEE ALSO
udev(7)